<template>
  <div class="product">
    <the-header title="Produto" :subtitle="product.description"></the-header>
    <div class="columns">
      <div class="column">
        <the-card :value="'R$ ' + product.price.toString()" :updated_at="product.updated_at"></the-card>
      </div>
      <div class="column">
        <the-card :value="'R$ ' + product.price.toString()" :updated_at="product.updated_at"></the-card>
      </div>
      <div class="column">
        <the-card :value="'R$ ' + product.price.toString()" :updated_at="product.updated_at"></the-card>
      </div>
    </div> <!-- columns -->
    <the-back-button />
  </div>
</template>

<script>
import TheBackButton from '@/components/TheBackButton'

export default {
  name: 'ReadProducts',
  data: function ()  {
    return {}
  },
  created () {
    console.log(this.$route.params)
    this.$store.dispatch('getProduct', this.$route.params.pk)
  },
  components: {
    'the-back-button': TheBackButton 
  },
  computed: {
    product () {
      return this.$store.state.products.product[0]
    }
  },
  methods: {
    back() {
      this.$router.go(-1)
    }
  }
}
</script>
